$breakpoints: (
  "s": 320px,
  "m": 768px,
  "l": 1200px,
);

@mixin s {
  @media (max-width: map-get($breakpoints,"s")) {
    @content;
  }
}

@mixin m {
  @media (max-width: map-get($breakpoints,"m")) {
    @content;
  }
}

@mixin l {
  @media (max-width: map-get($breakpoints,"l")) {
    @content;
  }
}

@mixin breakpoint($bp: 0px) {
  @media (max-width: $bp) {
    @content;
  }
}
